#!/bin/sh

# file      : etc/bootstrap/bbot-bootstrap-macos.sh
# copyright : Copyright (c) 2014-2018 Code Synthesis Ltd
# license   : TBC; see accompanying LICENSE file

# open -a Terminal -n -F ~/bbot-bootstrap-macos.sh

if ! jobs="$(sysctl -n hw.ncpu)"; then
  jobs=1
fi

# Enable core dumps (into /cores/) for postmortem debugging.
#
ulimit -c unlimited

# Note: bootstrap script options must come before build options.
#
"$(dirname "$0")/bbot-bootstrap.sh"   \
  --cxx clang++                       \
  --build /tmp                        \
  --environments "$HOME/environments" \
  "$@"                                \
  --make make                         \
  --make "-j$jobs"

# If success, wait a bit and shutdown. Otherwise leave the machine running
# for investigation.
#
if test "$?" -eq 0; then
  sleep 5
  sudo shutdown -h now
fi
